curl --request POST \
--url https://api.pocketflows.com/trigger_executions/{id}/cancel \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/trigger_executions/{id}/cancel"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/trigger_executions/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"customer": "<string>",
"scheduled_at": "<string>",
"step_count": 123,
"current_step_id": "<string>",
"status": "pending",
"failed_at": "<string>",
"failed_reason": "<string>",
"finished_at": "<string>",
"finished_reason": "<string>",
"stopped_at": "<string>",
"started_at": "<string>",
"created_at": "<string>"
}Cancel a trigger execution
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the trigger execution
Response
The cancelled TriggerExecution object, finished with reason User cancelled the execution
The ID of the trigger execution
The customer executing through the trigger
The scheduled time for the next step of the trigger execution
The index of the next step of the trigger to execute
The ID of the current step
The status of the execution
pending, in_progress, retrying, finished, failed, stopped The time when the execution failed
The reason for failure
The time when the execution finished
The reason for finishing
The time when the execution was stopped
The time when the execution started processing in ISO 8601 format
The time the execution was created — i.e. when the customer was enrolled in the trigger — in ISO 8601 format